Generated from the OpenAPI contract
sha256:223ebdfc2cc1ca82….
How this works.
Indexed Listings
1 operation on the Logion v1 API.
- Get indexed listing detail —
GET /v1/indexed-listings/{listing_id}
Get indexed listing detail
GET /v1/indexed-listings/{listing_id}
Operation id: get_indexed_listing
Takes an Authorization header.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
listing_id |
path | string(uuid) | yes |
Responses
| Status | Meaning | Schema |
|---|---|---|
200 |
Successful response | GetIndexedListingResponse |
401 |
Unauthorized | ErrorResponse |
404 |
Not found | ErrorResponse |
422 |
Validation Error | HTTPValidationError |
Returns GetIndexedListingResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
canonical_url |
string | yes | |
channels |
DiscoveryChannelResponse[] | no | |
created_at |
string | yes | |
hosting_mode |
string | yes | |
id |
string | yes | |
license_class |
string | yes | |
license_spdx |
string, optional | no | |
observation_status |
string | yes | |
observed_capabilities |
object, optional | no | |
original_author |
string | yes | |
slug |
string | yes | |
source_commit |
string, optional | no | |
source_hub |
string, optional | no | |
source_url |
string | yes | |
source_verification |
string | yes | |
summary |
string, optional | no | |
tags |
string[] | no | |
tier |
string | yes | |
title |
string | yes | |
updated_at |
string | yes |